/*****************************************************************************/
/*                                                                           */
/* You may copy, modify, and distribute this sample program in any           */
/* form without payment to IBM,  for any purpose including developing,       */
/* using, marketing or distributing programs that include or are             */
/* derivative works of the sample program.                                   */
/*                                                                           */
/* The sample program is provided to you on an "AS IS" basis, without        */
/* warranty of any kind.  IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES,     */
/* EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED     */
/* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.       */
/* Some jurisdictions do not allow for the exclusion or limitation of        */
/* implied warranties, so the above limitations or exclusions may not        */
/* apply to you.  IBM shall not be liable for any damages you suffer as      */
/* a result of using, modifying or distributing the sample program or        */
/* its derivatives.                                                          */
/*																			 */
/*  * @author Shravan														 */
/*                                                                           */
/*                                                                           */
/* This is the core/main file of OS Logging operations.			     		 */
/*      								     								 */
/* V 1.0 - Basic Features						    						 */
/* V 2.0 - Change wrt OsLogData first parameter. The first object in syslog  */
/* function is changed to String. Also new variable 'resource' is added.	 */
/*****************************************************************************/

package com.ibm.Shra.Xternal.Plugins;
//import java.io.*;
//import java.util.*;
import com.ibm.broker.plugin.*;

class OSLogData
{
	  private static String className = "OSLogData";
      public static final     int   SYSLOG_INFO       = 0 ;
      public static final     int   SYSLOG_WARN       = 1 ;
      public static final     int   SYSLOG_ERROR      = 2 ;
      private static logData ld =  null;
      static final String resource = "com.ibm.Shra.Xternal.Plugins.IA97";
      static
      {
      	ld = logData.getInstance();/*Initialize the logger only once.*/      	
      }

      /*
       * Write an message to the operating system log (Unix - syslog / Windows - Eventlog)
       * Object object: The object that caused the log write
       * String method: The method that caused the log write
       * String key: Key to the cache file
       * int level: Level of log, either info, warn or error
       * String text: message inserts.
       */
      public static void syslog(String objectClassName, String method,int level, String key, String insert )
      {

      	String methodName = "syslog";
            try 
	   		 {
                  switch (level)
                  {
			        case SYSLOG_INFO :
		        		ld.logData_Debug(" "+className+"."+methodName+" logging INFOrmation into OS LOG with key "+key);
    					MbService.logInformation(objectClassName,method,resource,key,ResourceManager.getString(key)+insert,null);
		                break;
                    case SYSLOG_WARN :
   		        		ld.logData_Debug(" "+className+"."+methodName+" logging WARNing into OS LOG with key "+key);
      			        MbService.logWarning(objectClassName,method,resource,key,ResourceManager.getString(key)+insert,null);
                        break;
                    case SYSLOG_ERROR :
   		        		ld.logData_Debug(" "+className+"."+methodName+" logging ERROR into OS LOG with key "+key);
						MbService.logError(objectClassName,method,resource,key,ResourceManager.getString(key)+insert,null);
                        break;
                    default :
   		        		ld.logData_Debug(" "+className+"."+methodName+" YOU SHOULD NEVER SEE THIS MESSAGE.");
                         break;
                  }
            }
			catch(MbException mbe)
			{
				ld.logData_Error(" "+className+"."+methodName+" Unexpected MbException while logging into OS Log with "+key,mbe);	
			}
            catch (Exception e) 
            { 
       			ld.logData_Error(" "+className+"."+methodName+" Unexpected Exception while logging into OS Log with "+key,e);
 	    	}
      }
}
