/*****************************************************************************/
/*                                                                           */
/* You may copy, modify, and distribute this sample program in any           */
/* form without payment to IBM,  for any purpose including developing,       */
/* using, marketing or distributing programs that include or are             */
/* derivative works of the sample program.                                   */
/*                                                                           */
/* The sample program is provided to you on an "AS IS" basis, without        */
/* warranty of any kind.  IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES,     */
/* EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED     */
/* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.       */
/* Some jurisdictions do not allow for the exclusion or limitation of        */
/* implied warranties, so the above limitations or exclusions may not        */
/* apply to you.  IBM shall not be liable for any damages you suffer as      */
/* a result of using, modifying or distributing the sample program or        */
/* its derivatives.                                                          */
/*																			 */
/*  * @author Shravan														 */
/*                                                                           */
/* This is the core/main file of MQSI broker side operations.		     	 */
/*      								     								 */
/* V 1.0 - This is the core/main file to collect the IA97 message properties */
/*****************************************************************************/

package com.ibm.Shra.Xternal.Plugins;
import java.util.*;

/*
 * This class provide a consistent way of accessing translated data.
 */

public class ResourceManager

{
   static ResourceBundle oRB = null;
   private static logData ld =  null;

 /*
 * Contructor retrieves the resource bundle.
 */
  static 
  {
    oRB = ResourceBundle.getBundle("com.ibm.Shra.Xternal.Plugins.IA97");
    ld = logData.getInstance();
  }

/*
 * Return the translated string corresponding to the key.
 */
  static String getString(String key)
  {
    try
    {
		String keyMessage = oRB.getString(key);
		ld.logData_Debug(" ResourceManager :-> The messageString for the messageKey "+key+" is "+keyMessage);
      return keyMessage;
    }
    catch (MissingResourceException e)
    {
     	ld.logData_Error(" ResourceManage :-> **** Missing Resource **** [ "+key+" ]",e);
      return "Couldnot Locate Resource Key [ " + key + " ]";
    }
  }
}

